package com.mortals.xhx.module.staff.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.staff.model.StaffContractEntity;
/**
* 员工合同信息查询对象
*
* @author zxfei
* @date 2023-04-07
*/
public class StaffContractQuery extends StaffContractEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 员工ID */
    private Long staffIdStart;

    /** 结束 员工ID */
    private Long staffIdEnd;

    /** 增加 员工ID */
    private Long staffIdIncrement;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 开始 性别(1.男,2.女) */
    private Integer genderStart;

    /** 结束 性别(1.男,2.女) */
    private Integer genderEnd;

    /** 增加 性别(1.男,2.女) */
    private Integer genderIncrement;

    /** 性别(1.男,2.女)列表 */
    private List <Integer> genderList;

    /** 性别(1.男,2.女)排除列表 */
    private List <Integer> genderNotList;

    /** 开始 出生日期 */
    private String birthdayStart;

    /** 结束 出生日期 */
    private String birthdayEnd;

    /** 照片 */
    private List<String> photoPathList;

    /** 照片排除列表 */
    private List <String> photoPathNotList;
    /** 联系电话 */
    private List<String> phoneNumberList;

    /** 联系电话排除列表 */
    private List <String> phoneNumberNotList;
    /** 身份证号码 */
    private List<String> idCardList;

    /** 身份证号码排除列表 */
    private List <String> idCardNotList;
    /** 工号 */
    private List<String> workNumList;

    /** 工号排除列表 */
    private List <String> workNumNotList;
    /** 开始 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它) */
    private Integer politicalstatusStart;

    /** 结束 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它) */
    private Integer politicalstatusEnd;

    /** 增加 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它) */
    private Integer politicalstatusIncrement;

    /** 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)列表 */
    private List <Integer> politicalstatusList;

    /** 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)排除列表 */
    private List <Integer> politicalstatusNotList;

    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 职位ID */
    private Long jobIdStart;

    /** 结束 职位ID */
    private Long jobIdEnd;

    /** 增加 职位ID */
    private Long jobIdIncrement;

    /** 职位ID列表 */
    private List <Long> jobIdList;

    /** 职位ID排除列表 */
    private List <Long> jobIdNotList;

    /** 职位名称 */
    private List<String> jobNameList;

    /** 职位名称排除列表 */
    private List <String> jobNameNotList;
    /** 开始 员工类型(1.全职,2.兼职,3.实习) */
    private Integer staffTypeStart;

    /** 结束 员工类型(1.全职,2.兼职,3.实习) */
    private Integer staffTypeEnd;

    /** 增加 员工类型(1.全职,2.兼职,3.实习) */
    private Integer staffTypeIncrement;

    /** 员工类型(1.全职,2.兼职,3.实习)列表 */
    private List <Integer> staffTypeList;

    /** 员工类型(1.全职,2.兼职,3.实习)排除列表 */
    private List <Integer> staffTypeNotList;

    /** 开始 员工状态(1.正式,2.试用,3.离职) */
    private Integer statusStart;

    /** 结束 员工状态(1.正式,2.试用,3.离职) */
    private Integer statusEnd;

    /** 增加 员工状态(1.正式,2.试用,3.离职) */
    private Integer statusIncrement;

    /** 员工状态(1.正式,2.试用,3.离职)列表 */
    private List <Integer> statusList;

    /** 员工状态(1.正式,2.试用,3.离职)排除列表 */
    private List <Integer> statusNotList;

    /** 开始 入职时间 */
    private String entryDateStart;

    /** 结束 入职时间 */
    private String entryDateEnd;

    /** 开始 现合同开始时间 */
    private String contractStartDateStart;

    /** 结束 现合同开始时间 */
    private String contractStartDateEnd;

    /** 开始 现合同到期时间 */
    private String contractEndDateStart;

    /** 结束 现合同到期时间 */
    private String contractEndDateEnd;

    /** 合同公司 */
    private List<String> contractCompanyList;

    /** 合同公司排除列表 */
    private List <String> contractCompanyNotList;
    /** 开始 合同类型(1.纸质) */
    private Integer contractTypeStart;

    /** 结束 合同类型(1.纸质) */
    private Integer contractTypeEnd;

    /** 增加 合同类型(1.纸质) */
    private Integer contractTypeIncrement;

    /** 合同类型(1.纸质)列表 */
    private List <Integer> contractTypeList;

    /** 合同类型(1.纸质)排除列表 */
    private List <Integer> contractTypeNotList;

    /** 开始 新合同开始时间 */
    private String newStartDateStart;

    /** 结束 新合同开始时间 */
    private String newStartDateEnd;

    /** 开始 新合同到期时间 */
    private String newEndDateStart;

    /** 结束 新合同到期时间 */
    private String newEndDateEnd;

    /** 开始 审核状态(0.待审核,1.通过,2.拒绝) */
    private Integer auditStatusStart;

    /** 结束 审核状态(0.待审核,1.通过,2.拒绝) */
    private Integer auditStatusEnd;

    /** 增加 审核状态(0.待审核,1.通过,2.拒绝) */
    private Integer auditStatusIncrement;

    /** 审核状态(0.待审核,1.通过,2.拒绝)列表 */
    private List <Integer> auditStatusList;

    /** 审核状态(0.待审核,1.通过,2.拒绝)排除列表 */
    private List <Integer> auditStatusNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<StaffContractQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<StaffContractQuery> andConditionList;

    public StaffContractQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 员工ID
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 员工ID
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 员工ID
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 员工ID
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 员工ID
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 员工ID
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 员工姓名
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 员工姓名
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 开始 性别(1.男,2.女)
    * @return genderStart
    */
    public Integer getGenderStart(){
        return this.genderStart;
    }

    /**
    * 设置 开始 性别(1.男,2.女)
    * @param genderStart
    */
    public void setGenderStart(Integer genderStart){
        this.genderStart = genderStart;
    }

    /**
    * 获取 结束 性别(1.男,2.女)
    * @return $genderEnd
    */
    public Integer getGenderEnd(){
        return this.genderEnd;
    }

    /**
    * 设置 结束 性别(1.男,2.女)
    * @param genderEnd
    */
    public void setGenderEnd(Integer genderEnd){
        this.genderEnd = genderEnd;
    }

    /**
    * 获取 增加 性别(1.男,2.女)
    * @return genderIncrement
    */
    public Integer getGenderIncrement(){
        return this.genderIncrement;
    }

    /**
    * 设置 增加 性别(1.男,2.女)
    * @param genderIncrement
    */
    public void setGenderIncrement(Integer genderIncrement){
        this.genderIncrement = genderIncrement;
    }

    /**
    * 获取 性别(1.男,2.女)
    * @return genderList
    */
    public List<Integer> getGenderList(){
        return this.genderList;
    }

    /**
    * 设置 性别(1.男,2.女)
    * @param genderList
    */
    public void setGenderList(List<Integer> genderList){
        this.genderList = genderList;
    }

    /**
    * 获取 性别(1.男,2.女)
    * @return genderNotList
    */
    public List<Integer> getGenderNotList(){
        return this.genderNotList;
    }

    /**
    * 设置 性别(1.男,2.女)
    * @param genderNotList
    */
    public void setGenderNotList(List<Integer> genderNotList){
        this.genderNotList = genderNotList;
    }


    /**
    * 获取 开始 出生日期
    * @return birthdayStart
    */
    public String getBirthdayStart(){
        return this.birthdayStart;
    }

    /**
    * 设置 开始 出生日期
    * @param birthdayStart
    */
    public void setBirthdayStart(String birthdayStart){
        this.birthdayStart = birthdayStart;
    }

    /**
    * 获取 结束 出生日期
    * @return birthdayEnd
    */
    public String getBirthdayEnd(){
        return this.birthdayEnd;
    }

    /**
    * 设置 结束 出生日期
    * @param birthdayEnd
    */
    public void setBirthdayEnd(String birthdayEnd){
        this.birthdayEnd = birthdayEnd;
    }

    /**
    * 获取 照片
    * @return photoPathList
    */
    public List<String> getPhotoPathList(){
        return this.photoPathList;
    }

    /**
    * 设置 照片
    * @param photoPathList
    */
    public void setPhotoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
    }

    /**
    * 获取 照片
    * @return photoPathNotList
    */
    public List<String> getPhotoPathNotList(){
        return this.photoPathNotList;
    }

    /**
    * 设置 照片
    * @param photoPathNotList
    */
    public void setPhotoPathNotList(List<String> photoPathNotList){
        this.photoPathNotList = photoPathNotList;
    }

    /**
    * 获取 联系电话
    * @return phoneNumberList
    */
    public List<String> getPhoneNumberList(){
        return this.phoneNumberList;
    }

    /**
    * 设置 联系电话
    * @param phoneNumberList
    */
    public void setPhoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
    }

    /**
    * 获取 联系电话
    * @return phoneNumberNotList
    */
    public List<String> getPhoneNumberNotList(){
        return this.phoneNumberNotList;
    }

    /**
    * 设置 联系电话
    * @param phoneNumberNotList
    */
    public void setPhoneNumberNotList(List<String> phoneNumberNotList){
        this.phoneNumberNotList = phoneNumberNotList;
    }

    /**
    * 获取 身份证号码
    * @return idCardList
    */
    public List<String> getIdCardList(){
        return this.idCardList;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public void setIdCardList(List<String> idCardList){
        this.idCardList = idCardList;
    }

    /**
    * 获取 身份证号码
    * @return idCardNotList
    */
    public List<String> getIdCardNotList(){
        return this.idCardNotList;
    }

    /**
    * 设置 身份证号码
    * @param idCardNotList
    */
    public void setIdCardNotList(List<String> idCardNotList){
        this.idCardNotList = idCardNotList;
    }

    /**
    * 获取 工号
    * @return workNumList
    */
    public List<String> getWorkNumList(){
        return this.workNumList;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public void setWorkNumList(List<String> workNumList){
        this.workNumList = workNumList;
    }

    /**
    * 获取 工号
    * @return workNumNotList
    */
    public List<String> getWorkNumNotList(){
        return this.workNumNotList;
    }

    /**
    * 设置 工号
    * @param workNumNotList
    */
    public void setWorkNumNotList(List<String> workNumNotList){
        this.workNumNotList = workNumNotList;
    }

    /**
    * 获取 开始 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @return politicalstatusStart
    */
    public Integer getPoliticalstatusStart(){
        return this.politicalstatusStart;
    }

    /**
    * 设置 开始 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusStart
    */
    public void setPoliticalstatusStart(Integer politicalstatusStart){
        this.politicalstatusStart = politicalstatusStart;
    }

    /**
    * 获取 结束 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @return $politicalstatusEnd
    */
    public Integer getPoliticalstatusEnd(){
        return this.politicalstatusEnd;
    }

    /**
    * 设置 结束 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusEnd
    */
    public void setPoliticalstatusEnd(Integer politicalstatusEnd){
        this.politicalstatusEnd = politicalstatusEnd;
    }

    /**
    * 获取 增加 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @return politicalstatusIncrement
    */
    public Integer getPoliticalstatusIncrement(){
        return this.politicalstatusIncrement;
    }

    /**
    * 设置 增加 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusIncrement
    */
    public void setPoliticalstatusIncrement(Integer politicalstatusIncrement){
        this.politicalstatusIncrement = politicalstatusIncrement;
    }

    /**
    * 获取 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @return politicalstatusList
    */
    public List<Integer> getPoliticalstatusList(){
        return this.politicalstatusList;
    }

    /**
    * 设置 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusList
    */
    public void setPoliticalstatusList(List<Integer> politicalstatusList){
        this.politicalstatusList = politicalstatusList;
    }

    /**
    * 获取 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @return politicalstatusNotList
    */
    public List<Integer> getPoliticalstatusNotList(){
        return this.politicalstatusNotList;
    }

    /**
    * 设置 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusNotList
    */
    public void setPoliticalstatusNotList(List<Integer> politicalstatusNotList){
        this.politicalstatusNotList = politicalstatusNotList;
    }


    /**
    * 获取 开始 所属部门
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 所属部门
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 所属部门
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 所属部门
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 所属部门
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 所属部门
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 所属部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 职位ID
    * @return jobIdStart
    */
    public Long getJobIdStart(){
        return this.jobIdStart;
    }

    /**
    * 设置 开始 职位ID
    * @param jobIdStart
    */
    public void setJobIdStart(Long jobIdStart){
        this.jobIdStart = jobIdStart;
    }

    /**
    * 获取 结束 职位ID
    * @return $jobIdEnd
    */
    public Long getJobIdEnd(){
        return this.jobIdEnd;
    }

    /**
    * 设置 结束 职位ID
    * @param jobIdEnd
    */
    public void setJobIdEnd(Long jobIdEnd){
        this.jobIdEnd = jobIdEnd;
    }

    /**
    * 获取 增加 职位ID
    * @return jobIdIncrement
    */
    public Long getJobIdIncrement(){
        return this.jobIdIncrement;
    }

    /**
    * 设置 增加 职位ID
    * @param jobIdIncrement
    */
    public void setJobIdIncrement(Long jobIdIncrement){
        this.jobIdIncrement = jobIdIncrement;
    }

    /**
    * 获取 职位ID
    * @return jobIdList
    */
    public List<Long> getJobIdList(){
        return this.jobIdList;
    }

    /**
    * 设置 职位ID
    * @param jobIdList
    */
    public void setJobIdList(List<Long> jobIdList){
        this.jobIdList = jobIdList;
    }

    /**
    * 获取 职位ID
    * @return jobIdNotList
    */
    public List<Long> getJobIdNotList(){
        return this.jobIdNotList;
    }

    /**
    * 设置 职位ID
    * @param jobIdNotList
    */
    public void setJobIdNotList(List<Long> jobIdNotList){
        this.jobIdNotList = jobIdNotList;
    }


    /**
    * 获取 职位名称
    * @return jobNameList
    */
    public List<String> getJobNameList(){
        return this.jobNameList;
    }

    /**
    * 设置 职位名称
    * @param jobNameList
    */
    public void setJobNameList(List<String> jobNameList){
        this.jobNameList = jobNameList;
    }

    /**
    * 获取 职位名称
    * @return jobNameNotList
    */
    public List<String> getJobNameNotList(){
        return this.jobNameNotList;
    }

    /**
    * 设置 职位名称
    * @param jobNameNotList
    */
    public void setJobNameNotList(List<String> jobNameNotList){
        this.jobNameNotList = jobNameNotList;
    }

    /**
    * 获取 开始 员工类型(1.全职,2.兼职,3.实习)
    * @return staffTypeStart
    */
    public Integer getStaffTypeStart(){
        return this.staffTypeStart;
    }

    /**
    * 设置 开始 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeStart
    */
    public void setStaffTypeStart(Integer staffTypeStart){
        this.staffTypeStart = staffTypeStart;
    }

    /**
    * 获取 结束 员工类型(1.全职,2.兼职,3.实习)
    * @return $staffTypeEnd
    */
    public Integer getStaffTypeEnd(){
        return this.staffTypeEnd;
    }

    /**
    * 设置 结束 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeEnd
    */
    public void setStaffTypeEnd(Integer staffTypeEnd){
        this.staffTypeEnd = staffTypeEnd;
    }

    /**
    * 获取 增加 员工类型(1.全职,2.兼职,3.实习)
    * @return staffTypeIncrement
    */
    public Integer getStaffTypeIncrement(){
        return this.staffTypeIncrement;
    }

    /**
    * 设置 增加 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeIncrement
    */
    public void setStaffTypeIncrement(Integer staffTypeIncrement){
        this.staffTypeIncrement = staffTypeIncrement;
    }

    /**
    * 获取 员工类型(1.全职,2.兼职,3.实习)
    * @return staffTypeList
    */
    public List<Integer> getStaffTypeList(){
        return this.staffTypeList;
    }

    /**
    * 设置 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeList
    */
    public void setStaffTypeList(List<Integer> staffTypeList){
        this.staffTypeList = staffTypeList;
    }

    /**
    * 获取 员工类型(1.全职,2.兼职,3.实习)
    * @return staffTypeNotList
    */
    public List<Integer> getStaffTypeNotList(){
        return this.staffTypeNotList;
    }

    /**
    * 设置 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeNotList
    */
    public void setStaffTypeNotList(List<Integer> staffTypeNotList){
        this.staffTypeNotList = staffTypeNotList;
    }


    /**
    * 获取 开始 员工状态(1.正式,2.试用,3.离职)
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 员工状态(1.正式,2.试用,3.离职)
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 员工状态(1.正式,2.试用,3.离职)
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 员工状态(1.正式,2.试用,3.离职)
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 员工状态(1.正式,2.试用,3.离职)
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 员工状态(1.正式,2.试用,3.离职)
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 员工状态(1.正式,2.试用,3.离职)
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 员工状态(1.正式,2.试用,3.离职)
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 员工状态(1.正式,2.试用,3.离职)
    * @return statusNotList
    */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
    * 设置 员工状态(1.正式,2.试用,3.离职)
    * @param statusNotList
    */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
    * 获取 开始 入职时间
    * @return entryDateStart
    */
    public String getEntryDateStart(){
        return this.entryDateStart;
    }

    /**
    * 设置 开始 入职时间
    * @param entryDateStart
    */
    public void setEntryDateStart(String entryDateStart){
        this.entryDateStart = entryDateStart;
    }

    /**
    * 获取 结束 入职时间
    * @return entryDateEnd
    */
    public String getEntryDateEnd(){
        return this.entryDateEnd;
    }

    /**
    * 设置 结束 入职时间
    * @param entryDateEnd
    */
    public void setEntryDateEnd(String entryDateEnd){
        this.entryDateEnd = entryDateEnd;
    }

    /**
    * 获取 开始 现合同开始时间
    * @return contractStartDateStart
    */
    public String getContractStartDateStart(){
        return this.contractStartDateStart;
    }

    /**
    * 设置 开始 现合同开始时间
    * @param contractStartDateStart
    */
    public void setContractStartDateStart(String contractStartDateStart){
        this.contractStartDateStart = contractStartDateStart;
    }

    /**
    * 获取 结束 现合同开始时间
    * @return contractStartDateEnd
    */
    public String getContractStartDateEnd(){
        return this.contractStartDateEnd;
    }

    /**
    * 设置 结束 现合同开始时间
    * @param contractStartDateEnd
    */
    public void setContractStartDateEnd(String contractStartDateEnd){
        this.contractStartDateEnd = contractStartDateEnd;
    }

    /**
    * 获取 开始 现合同到期时间
    * @return contractEndDateStart
    */
    public String getContractEndDateStart(){
        return this.contractEndDateStart;
    }

    /**
    * 设置 开始 现合同到期时间
    * @param contractEndDateStart
    */
    public void setContractEndDateStart(String contractEndDateStart){
        this.contractEndDateStart = contractEndDateStart;
    }

    /**
    * 获取 结束 现合同到期时间
    * @return contractEndDateEnd
    */
    public String getContractEndDateEnd(){
        return this.contractEndDateEnd;
    }

    /**
    * 设置 结束 现合同到期时间
    * @param contractEndDateEnd
    */
    public void setContractEndDateEnd(String contractEndDateEnd){
        this.contractEndDateEnd = contractEndDateEnd;
    }

    /**
    * 获取 合同公司
    * @return contractCompanyList
    */
    public List<String> getContractCompanyList(){
        return this.contractCompanyList;
    }

    /**
    * 设置 合同公司
    * @param contractCompanyList
    */
    public void setContractCompanyList(List<String> contractCompanyList){
        this.contractCompanyList = contractCompanyList;
    }

    /**
    * 获取 合同公司
    * @return contractCompanyNotList
    */
    public List<String> getContractCompanyNotList(){
        return this.contractCompanyNotList;
    }

    /**
    * 设置 合同公司
    * @param contractCompanyNotList
    */
    public void setContractCompanyNotList(List<String> contractCompanyNotList){
        this.contractCompanyNotList = contractCompanyNotList;
    }

    /**
    * 获取 开始 合同类型(1.纸质)
    * @return contractTypeStart
    */
    public Integer getContractTypeStart(){
        return this.contractTypeStart;
    }

    /**
    * 设置 开始 合同类型(1.纸质)
    * @param contractTypeStart
    */
    public void setContractTypeStart(Integer contractTypeStart){
        this.contractTypeStart = contractTypeStart;
    }

    /**
    * 获取 结束 合同类型(1.纸质)
    * @return $contractTypeEnd
    */
    public Integer getContractTypeEnd(){
        return this.contractTypeEnd;
    }

    /**
    * 设置 结束 合同类型(1.纸质)
    * @param contractTypeEnd
    */
    public void setContractTypeEnd(Integer contractTypeEnd){
        this.contractTypeEnd = contractTypeEnd;
    }

    /**
    * 获取 增加 合同类型(1.纸质)
    * @return contractTypeIncrement
    */
    public Integer getContractTypeIncrement(){
        return this.contractTypeIncrement;
    }

    /**
    * 设置 增加 合同类型(1.纸质)
    * @param contractTypeIncrement
    */
    public void setContractTypeIncrement(Integer contractTypeIncrement){
        this.contractTypeIncrement = contractTypeIncrement;
    }

    /**
    * 获取 合同类型(1.纸质)
    * @return contractTypeList
    */
    public List<Integer> getContractTypeList(){
        return this.contractTypeList;
    }

    /**
    * 设置 合同类型(1.纸质)
    * @param contractTypeList
    */
    public void setContractTypeList(List<Integer> contractTypeList){
        this.contractTypeList = contractTypeList;
    }

    /**
    * 获取 合同类型(1.纸质)
    * @return contractTypeNotList
    */
    public List<Integer> getContractTypeNotList(){
        return this.contractTypeNotList;
    }

    /**
    * 设置 合同类型(1.纸质)
    * @param contractTypeNotList
    */
    public void setContractTypeNotList(List<Integer> contractTypeNotList){
        this.contractTypeNotList = contractTypeNotList;
    }


    /**
    * 获取 开始 新合同开始时间
    * @return newStartDateStart
    */
    public String getNewStartDateStart(){
        return this.newStartDateStart;
    }

    /**
    * 设置 开始 新合同开始时间
    * @param newStartDateStart
    */
    public void setNewStartDateStart(String newStartDateStart){
        this.newStartDateStart = newStartDateStart;
    }

    /**
    * 获取 结束 新合同开始时间
    * @return newStartDateEnd
    */
    public String getNewStartDateEnd(){
        return this.newStartDateEnd;
    }

    /**
    * 设置 结束 新合同开始时间
    * @param newStartDateEnd
    */
    public void setNewStartDateEnd(String newStartDateEnd){
        this.newStartDateEnd = newStartDateEnd;
    }

    /**
    * 获取 开始 新合同到期时间
    * @return newEndDateStart
    */
    public String getNewEndDateStart(){
        return this.newEndDateStart;
    }

    /**
    * 设置 开始 新合同到期时间
    * @param newEndDateStart
    */
    public void setNewEndDateStart(String newEndDateStart){
        this.newEndDateStart = newEndDateStart;
    }

    /**
    * 获取 结束 新合同到期时间
    * @return newEndDateEnd
    */
    public String getNewEndDateEnd(){
        return this.newEndDateEnd;
    }

    /**
    * 设置 结束 新合同到期时间
    * @param newEndDateEnd
    */
    public void setNewEndDateEnd(String newEndDateEnd){
        this.newEndDateEnd = newEndDateEnd;
    }

    /**
    * 获取 开始 审核状态(0.待审核,1.通过,2.拒绝)
    * @return auditStatusStart
    */
    public Integer getAuditStatusStart(){
        return this.auditStatusStart;
    }

    /**
    * 设置 开始 审核状态(0.待审核,1.通过,2.拒绝)
    * @param auditStatusStart
    */
    public void setAuditStatusStart(Integer auditStatusStart){
        this.auditStatusStart = auditStatusStart;
    }

    /**
    * 获取 结束 审核状态(0.待审核,1.通过,2.拒绝)
    * @return $auditStatusEnd
    */
    public Integer getAuditStatusEnd(){
        return this.auditStatusEnd;
    }

    /**
    * 设置 结束 审核状态(0.待审核,1.通过,2.拒绝)
    * @param auditStatusEnd
    */
    public void setAuditStatusEnd(Integer auditStatusEnd){
        this.auditStatusEnd = auditStatusEnd;
    }

    /**
    * 获取 增加 审核状态(0.待审核,1.通过,2.拒绝)
    * @return auditStatusIncrement
    */
    public Integer getAuditStatusIncrement(){
        return this.auditStatusIncrement;
    }

    /**
    * 设置 增加 审核状态(0.待审核,1.通过,2.拒绝)
    * @param auditStatusIncrement
    */
    public void setAuditStatusIncrement(Integer auditStatusIncrement){
        this.auditStatusIncrement = auditStatusIncrement;
    }

    /**
    * 获取 审核状态(0.待审核,1.通过,2.拒绝)
    * @return auditStatusList
    */
    public List<Integer> getAuditStatusList(){
        return this.auditStatusList;
    }

    /**
    * 设置 审核状态(0.待审核,1.通过,2.拒绝)
    * @param auditStatusList
    */
    public void setAuditStatusList(List<Integer> auditStatusList){
        this.auditStatusList = auditStatusList;
    }

    /**
    * 获取 审核状态(0.待审核,1.通过,2.拒绝)
    * @return auditStatusNotList
    */
    public List<Integer> getAuditStatusNotList(){
        return this.auditStatusNotList;
    }

    /**
    * 设置 审核状态(0.待审核,1.通过,2.拒绝)
    * @param auditStatusNotList
    */
    public void setAuditStatusNotList(List<Integer> auditStatusNotList){
        this.auditStatusNotList = auditStatusNotList;
    }


    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public StaffContractQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public StaffContractQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public StaffContractQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public StaffContractQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public StaffContractQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public StaffContractQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  员工ID
    * @param staffId
    */
    public StaffContractQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public StaffContractQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public StaffContractQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public StaffContractQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public StaffContractQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 员工ID
        * @param staffIdNotList
        */
        public StaffContractQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 员工姓名
    * @param staffName
    */
    public StaffContractQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public StaffContractQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }

    /**
    * 设置  性别(1.男,2.女)
    * @param gender
    */
    public StaffContractQuery gender(Integer gender){
	    setGender(gender);
		return this;
    }
	
	 /**
    * 设置 开始 性别(1.男,2.女)
    * @param genderStart
    */
    public StaffContractQuery genderStart(Integer genderStart){
		this.genderStart = genderStart;
		return this;
    }

    /**
    * 设置 结束 性别(1.男,2.女)
    * @param genderEnd
    */
    public StaffContractQuery genderEnd(Integer genderEnd){
		this.genderEnd = genderEnd;
		return this;
    }

    /**
    * 设置 增加 性别(1.男,2.女)
    * @param genderIncrement
    */
    public StaffContractQuery genderIncrement(Integer genderIncrement){
		this.genderIncrement = genderIncrement;
		return this;
    }

    /**
    * 设置 性别(1.男,2.女)
    * @param genderList
    */
    public StaffContractQuery genderList(List<Integer> genderList){
        this.genderList = genderList;
		return this;
        }

        /**
        * 设置 性别(1.男,2.女)
        * @param genderNotList
        */
        public StaffContractQuery genderNotList(List<Integer> genderNotList){
        this.genderNotList = genderNotList;
        return this;
        }



	/**
    * 设置 照片
    * @param photoPath
    */
    public StaffContractQuery photoPath(String photoPath){
        setPhotoPath(photoPath);
		return this;
    }

    /**
    * 设置 照片
    * @param photoPathList
    */
    public StaffContractQuery photoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
		return this;
    }


	/**
    * 设置 联系电话
    * @param phoneNumber
    */
    public StaffContractQuery phoneNumber(String phoneNumber){
        setPhoneNumber(phoneNumber);
		return this;
    }

    /**
    * 设置 联系电话
    * @param phoneNumberList
    */
    public StaffContractQuery phoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
		return this;
    }


	/**
    * 设置 身份证号码
    * @param idCard
    */
    public StaffContractQuery idCard(String idCard){
        setIdCard(idCard);
		return this;
    }

    /**
    * 设置 身份证号码
    * @param idCardList
    */
    public StaffContractQuery idCardList(List<String> idCardList){
        this.idCardList = idCardList;
		return this;
    }


	/**
    * 设置 工号
    * @param workNum
    */
    public StaffContractQuery workNum(String workNum){
        setWorkNum(workNum);
		return this;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public StaffContractQuery workNumList(List<String> workNumList){
        this.workNumList = workNumList;
		return this;
    }

    /**
    * 设置  政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatus
    */
    public StaffContractQuery politicalstatus(Integer politicalstatus){
	    setPoliticalstatus(politicalstatus);
		return this;
    }
	
	 /**
    * 设置 开始 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusStart
    */
    public StaffContractQuery politicalstatusStart(Integer politicalstatusStart){
		this.politicalstatusStart = politicalstatusStart;
		return this;
    }

    /**
    * 设置 结束 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusEnd
    */
    public StaffContractQuery politicalstatusEnd(Integer politicalstatusEnd){
		this.politicalstatusEnd = politicalstatusEnd;
		return this;
    }

    /**
    * 设置 增加 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusIncrement
    */
    public StaffContractQuery politicalstatusIncrement(Integer politicalstatusIncrement){
		this.politicalstatusIncrement = politicalstatusIncrement;
		return this;
    }

    /**
    * 设置 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
    * @param politicalstatusList
    */
    public StaffContractQuery politicalstatusList(List<Integer> politicalstatusList){
        this.politicalstatusList = politicalstatusList;
		return this;
        }

        /**
        * 设置 政治面貌 （1.中共党员，2.中共预备党员，3.共青团员，4.群众，5.其它)
        * @param politicalstatusNotList
        */
        public StaffContractQuery politicalstatusNotList(List<Integer> politicalstatusNotList){
        this.politicalstatusNotList = politicalstatusNotList;
        return this;
        }

    /**
    * 设置  所属部门
    * @param deptId
    */
    public StaffContractQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public StaffContractQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public StaffContractQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public StaffContractQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public StaffContractQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 所属部门
        * @param deptIdNotList
        */
        public StaffContractQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 所属部门名称
    * @param deptName
    */
    public StaffContractQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public StaffContractQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  职位ID
    * @param jobId
    */
    public StaffContractQuery jobId(Long jobId){
	    setJobId(jobId);
		return this;
    }
	
	 /**
    * 设置 开始 职位ID
    * @param jobIdStart
    */
    public StaffContractQuery jobIdStart(Long jobIdStart){
		this.jobIdStart = jobIdStart;
		return this;
    }

    /**
    * 设置 结束 职位ID
    * @param jobIdEnd
    */
    public StaffContractQuery jobIdEnd(Long jobIdEnd){
		this.jobIdEnd = jobIdEnd;
		return this;
    }

    /**
    * 设置 增加 职位ID
    * @param jobIdIncrement
    */
    public StaffContractQuery jobIdIncrement(Long jobIdIncrement){
		this.jobIdIncrement = jobIdIncrement;
		return this;
    }

    /**
    * 设置 职位ID
    * @param jobIdList
    */
    public StaffContractQuery jobIdList(List<Long> jobIdList){
        this.jobIdList = jobIdList;
		return this;
        }

        /**
        * 设置 职位ID
        * @param jobIdNotList
        */
        public StaffContractQuery jobIdNotList(List<Long> jobIdNotList){
        this.jobIdNotList = jobIdNotList;
        return this;
        }


	/**
    * 设置 职位名称
    * @param jobName
    */
    public StaffContractQuery jobName(String jobName){
        setJobName(jobName);
		return this;
    }

    /**
    * 设置 职位名称
    * @param jobNameList
    */
    public StaffContractQuery jobNameList(List<String> jobNameList){
        this.jobNameList = jobNameList;
		return this;
    }

    /**
    * 设置  员工类型(1.全职,2.兼职,3.实习)
    * @param staffType
    */
    public StaffContractQuery staffType(Integer staffType){
	    setStaffType(staffType);
		return this;
    }
	
	 /**
    * 设置 开始 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeStart
    */
    public StaffContractQuery staffTypeStart(Integer staffTypeStart){
		this.staffTypeStart = staffTypeStart;
		return this;
    }

    /**
    * 设置 结束 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeEnd
    */
    public StaffContractQuery staffTypeEnd(Integer staffTypeEnd){
		this.staffTypeEnd = staffTypeEnd;
		return this;
    }

    /**
    * 设置 增加 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeIncrement
    */
    public StaffContractQuery staffTypeIncrement(Integer staffTypeIncrement){
		this.staffTypeIncrement = staffTypeIncrement;
		return this;
    }

    /**
    * 设置 员工类型(1.全职,2.兼职,3.实习)
    * @param staffTypeList
    */
    public StaffContractQuery staffTypeList(List<Integer> staffTypeList){
        this.staffTypeList = staffTypeList;
		return this;
        }

        /**
        * 设置 员工类型(1.全职,2.兼职,3.实习)
        * @param staffTypeNotList
        */
        public StaffContractQuery staffTypeNotList(List<Integer> staffTypeNotList){
        this.staffTypeNotList = staffTypeNotList;
        return this;
        }

    /**
    * 设置  员工状态(1.正式,2.试用,3.离职)
    * @param status
    */
    public StaffContractQuery status(Integer status){
	    setStatus(status);
		return this;
    }
	
	 /**
    * 设置 开始 员工状态(1.正式,2.试用,3.离职)
    * @param statusStart
    */
    public StaffContractQuery statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 员工状态(1.正式,2.试用,3.离职)
    * @param statusEnd
    */
    public StaffContractQuery statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 员工状态(1.正式,2.试用,3.离职)
    * @param statusIncrement
    */
    public StaffContractQuery statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 员工状态(1.正式,2.试用,3.离职)
    * @param statusList
    */
    public StaffContractQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }

        /**
        * 设置 员工状态(1.正式,2.试用,3.离职)
        * @param statusNotList
        */
        public StaffContractQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
        }





	/**
    * 设置 合同公司
    * @param contractCompany
    */
    public StaffContractQuery contractCompany(String contractCompany){
        setContractCompany(contractCompany);
		return this;
    }

    /**
    * 设置 合同公司
    * @param contractCompanyList
    */
    public StaffContractQuery contractCompanyList(List<String> contractCompanyList){
        this.contractCompanyList = contractCompanyList;
		return this;
    }

    /**
    * 设置  合同类型(1.纸质)
    * @param contractType
    */
    public StaffContractQuery contractType(Integer contractType){
	    setContractType(contractType);
		return this;
    }
	
	 /**
    * 设置 开始 合同类型(1.纸质)
    * @param contractTypeStart
    */
    public StaffContractQuery contractTypeStart(Integer contractTypeStart){
		this.contractTypeStart = contractTypeStart;
		return this;
    }

    /**
    * 设置 结束 合同类型(1.纸质)
    * @param contractTypeEnd
    */
    public StaffContractQuery contractTypeEnd(Integer contractTypeEnd){
		this.contractTypeEnd = contractTypeEnd;
		return this;
    }

    /**
    * 设置 增加 合同类型(1.纸质)
    * @param contractTypeIncrement
    */
    public StaffContractQuery contractTypeIncrement(Integer contractTypeIncrement){
		this.contractTypeIncrement = contractTypeIncrement;
		return this;
    }

    /**
    * 设置 合同类型(1.纸质)
    * @param contractTypeList
    */
    public StaffContractQuery contractTypeList(List<Integer> contractTypeList){
        this.contractTypeList = contractTypeList;
		return this;
        }

        /**
        * 设置 合同类型(1.纸质)
        * @param contractTypeNotList
        */
        public StaffContractQuery contractTypeNotList(List<Integer> contractTypeNotList){
        this.contractTypeNotList = contractTypeNotList;
        return this;
        }



    /**
    * 设置  审核状态(0.待审核,1.通过,2.拒绝)
    * @param auditStatus
    */
    public StaffContractQuery auditStatus(Integer auditStatus){
	    setAuditStatus(auditStatus);
		return this;
    }
	
	 /**
    * 设置 开始 审核状态(0.待审核,1.通过,2.拒绝)
    * @param auditStatusStart
    */
    public StaffContractQuery auditStatusStart(Integer auditStatusStart){
		this.auditStatusStart = auditStatusStart;
		return this;
    }

    /**
    * 设置 结束 审核状态(0.待审核,1.通过,2.拒绝)
    * @param auditStatusEnd
    */
    public StaffContractQuery auditStatusEnd(Integer auditStatusEnd){
		this.auditStatusEnd = auditStatusEnd;
		return this;
    }

    /**
    * 设置 增加 审核状态(0.待审核,1.通过,2.拒绝)
    * @param auditStatusIncrement
    */
    public StaffContractQuery auditStatusIncrement(Integer auditStatusIncrement){
		this.auditStatusIncrement = auditStatusIncrement;
		return this;
    }

    /**
    * 设置 审核状态(0.待审核,1.通过,2.拒绝)
    * @param auditStatusList
    */
    public StaffContractQuery auditStatusList(List<Integer> auditStatusList){
        this.auditStatusList = auditStatusList;
		return this;
        }

        /**
        * 设置 审核状态(0.待审核,1.通过,2.拒绝)
        * @param auditStatusNotList
        */
        public StaffContractQuery auditStatusNotList(List<Integer> auditStatusNotList){
        this.auditStatusNotList = auditStatusNotList;
        return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public StaffContractQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public StaffContractQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public StaffContractQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public StaffContractQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public StaffContractQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public StaffContractQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public StaffContractQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public StaffContractQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public StaffContractQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public StaffContractQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public StaffContractQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public StaffContractQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<StaffContractQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<StaffContractQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<StaffContractQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<StaffContractQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}